SDL_SetRenderDrawBlendMode(3)

NAME
SDL_SetRenderDrawBlendMode - Set the blend mode used for drawing operations (Fill and Line).

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetRenderDrawBlendMode(SDL_Renderer *renderer, SDL_BlendMode blendMode);

DESCRIPTION
If the blend mode is not supported, the closest supported mode is chosen.

FUNCTION PARAMETERS

renderer
    the rendering context.

blendMode
    the SDL_BlendMode
     to use for blending.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetRenderDrawBlendMode(3)